# Template file for 'mysql-client'.
#
short_desc="MySQL database client binaries"
long_desc="${long_desc}

 This package includes the client binaries and the additional tools
 innotop and mysqlreport."

Add_dependency run libgcc
Add_dependency run glibc
Add_dependency run libstdc++
Add_dependency run ncursesw
Add_dependency run libmysqlclient
Add_dependency run zlib
Add_dependency run tcp_wrappers-libs
Add_dependency run readline
Add_dependency run openssl
Add_dependency run perl

do_install()
{
	mkdir -p ${DESTDIR}/usr/{,s}bin ${DESTDIR}/usr/share/man/man{1,8}

	for f in innochecksum innotop myisam_ftdump mysql mysql_client_test \
		mysql_client_test_embedded mysqldumpslow mysqlbinlog \
		mysql_find_rows mysql_fix_extensions mysql_waitpid mysqlaccess \
		mysqladmin mysqlanalyze mysqlbug mysqlcheck mysqldump \
		mysqlimport mysqloptimize mysqlrepair mysqlreport mysqlshow \
		mysqlslap mysqltest_embedded mysqlmanager mysqltest \
		mysqlhotcopy mysql_upgrade mysql_zap; do
		if [ -f ${SRCPKGDESTDIR}/usr/bin/${f} ]; then
			mv ${SRCPKGDESTDIR}/usr/bin/${f} ${DESTDIR}/usr/bin
		elif [ -f ${SRCPKGDESTDIR}/usr/sbin/${f} ]; then
			mv ${SRCPKGDESTDIR}/usr/sbin/${f} ${DESTDIR}/usr/sbin
		fi
		if [ -f ${SRCPKGDESTDIR}/usr/share/man/man1/${f}.1 ]; then
			mv ${SRCPKGDESTDIR}/usr/share/man/man1/${f}.1 \
				${DESTDIR}/usr/share/man/man1
		elif [ -f ${SRCPKGDESTDIR}/usr/share/man/man8/${f}.8 ]; then
			mv ${SRCPKGDESTDIR}/usr/share/man/man8/${f}.8 \
				${DESTDIR}/usr/share/man/man8
		fi
	done
}
